#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		name1		%(echo %{name} | cut -d '-' -f2)
%define		name2		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	python-pyproject-hooks
Version		:	1.0.0
Release		:	14.8.0.0%{?dist}
Summary		:	A low-level library for calling build-backends in pyproject.toml-based project
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/pyproject_hooks/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer

%if %{with test}
BuildRequires	:	python-pep517

BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-testpath
%endif

Obsoletes	:	python3-pyproject-hooks	<= %{version}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This is a low-level library for calling build-backends
in pyproject.toml-based project. It provides the basic
functionality to help write tooling that generates
distribution files from Python projects.

If you want a tool that builds Python packages, you'll
want to use https://github.com/pypa/build instead.
This is an underlying piece for pip, build and
other "build frontends" use to call "build backends"
within them.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{name1}_%{name2}/*.py
%{python3_sitelib}/%{name1}_%{name2}/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}/_in_process/*.py
%{python3_sitelib}/%{name1}_%{name2}/_in_process/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
PYTHONPATH=src pytest
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
